import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;

import org.json.JSONArray; //requires external "org.json"
import org.json.JSONTokener; //requires external "org.json"

class increaseCounter{
    public static void main(String[] args){
        File input = new File("Day 1/Justin/Java/input.json");

        try{
            // Get the file, into an inputstream, and give it to json tokenizer
            InputStream fileIn = new FileInputStream(input);
            JSONTokener inputJson = new JSONTokener(fileIn);
            // get the only object, which is a jsonarray
            JSONArray values = (JSONArray)inputJson.nextValue();
            
            //System.out.println(inputArray.toString());

            // Get the amount of times it increases
            int increaseCount = 0;
            for(int i = 1; i < values.length(); i++)
                if(values.getInt(i-1) < values.getInt(i)) // if array[i-1] is less then array[i]
                    increaseCount++;
            System.out.println(increaseCount);

            // Get the amount of times it increase by three-measure sliding increments
            int increaseCount3 = 0;
            for(int i = 3; i < values.length(); i++){
                int winA = values.getInt(i - 3) + values.getInt(i - 2) + values.getInt(i - 1); // get array[i-3] + array[i-2] + array[i-1] = "a" window
                int winB = values.getInt(i - 2) + values.getInt(i - 1) + values.getInt(i); // get array[i-2] + array [i-1] + array[i] = "b" window
                if(winA < winB)
                    increaseCount3++;
            }
            System.out.println(increaseCount3);
            

        } catch(FileNotFoundException e){
            e.printStackTrace();
        }
        
    }
}